%define name lostpixels
%define srcname blinkensisters
%define version 0.5.3
%define release %mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Arcade

URL: http://blinkensisters.sourceforge.net
Source: %{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libSDL-devel libSDL_image-devel libSDL_net-devel libSDL_ttf-devel

Summary: BlinkenSisters - Hunt for the Lost Pixels

%description
Blinkensisters is a new Parallax-style 2D scrolling gaming 
system for Windows, MacOSX, Linux and POSIX-compatible 
Unix-Systems (every platform that can run SDL). 
You can even make your own levels with a simple text-editor...

%prep
%setup -q -n %{srcname}-%{version}

%build
rm -rf %{buildroot}
%cmake
%make


%install
rm -rf %{buildroot}
cd build
%makeinstall_std
# Startup-Link
cat > %{buildroot}%{_bindir}/lostpixels  <<EOF
#!/bin/bash
%{_bindir}LostPixels
EOF

# add menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Icon=%{name}
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/LostPixels
%{_bindir}/lostpixels
%{_bindir}/BlinkenPlayer
%{_bindir}/blpmatrix
%{_bindir}/blpviewer
%{_bindir}/bmfcompress
%{_bindir}/bmfdecompress
%{_bindir}/bxxviewer
%{_bindir}/mcufviewer
%{_datadir}/blinkensisters
%{_datadir}/applications/%{name}.desktop
%doc %{_datadir}/doc/blinkensisters


%changelog
* Thu Mar 19 2009 Oliver Burger <rpm@mandrivauser.de> 0.5.3-1mud2009.0
- initial package for Mandriva Linux
- based upon package by Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>
